Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.ocm
Class OCMpeerFactoryMap

    java.lang.Object
      |
      +--com.jxml.quick.ocm.OCMpeerFactoryMap

All Implemented Interfaces:
  OCMbase, OCMpeerFactory

Direct Known Subclasses:
  OCMpeerFactoryMapByTag

public class OCMpeerFactoryMap
extends Object
implements OCMpeerFactory

Maps data model classes to peer classes.

Inner classes inherited from class com.jxml.quick.ocm.OCMbase
`OCMbase.SubBase`

Field Summary
`HashMap` | `entries`

Constructor Summary
`OCMpeerFactoryMap()`

Method Summary
`OCMpeer` | `createPeer(Object dataModel, OCMcontext context, OCMpeer parent)` Return a peer object.
`OCMbase.SubBase` | `spawn(HashMap prior)` Creates a processing structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### entries

    public HashMap entries

Constructor Detail

### OCMpeerFactoryMap

    public OCMpeerFactoryMap()

Method Detail

### spawn

    public OCMbase.SubBase spawn(HashMap prior)

  Description copied from interface: `OCMbase`
  Creates a processing structure.
  Specified by:
    `spawn` in interface `OCMbase`
  Following copied from interface: `com.jxml.quick.ocm.OCMbase`
  Parameters:
    `prior` - A table of already spawned objects, keyed by their base object.

### createPeer

    public OCMpeer createPeer(Object dataModel,
                              OCMcontext context,
                              OCMpeer parent)
                       throws SAXException,
                              IOException

  Return a peer object.
  Specified by:
    `createPeer` in interface `OCMpeerFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD